summaryrefslogtreecommitdiff
path: root/po
diff options
context:
space:
mode:
authorJean Guyomarc'h <jean.guyomarch@gmail.com>2014-07-26 19:55:24 +0200
committerBoris Faure <billiob@gmail.com>2014-07-26 19:55:24 +0200
commit353f3e27ba0eab5de92e53638bee9d5281dc2eee (patch)
treec65c08acfd586529e46221e36364cd5873593f97 /po
parent9a66d3343865694da71762e36998e9736a2817f6 (diff)
Fix autotools+ignores (auto-generated files). Fix linking error with --disable-nls.
Reviewers: billiob Differential Revision: https://phab.enlightenment.org/D1239
Diffstat (limited to 'po')
-rw-r--r--po/Makefile.in.in454
-rw-r--r--po/remove-potcdate.sin19
2 files changed, 0 insertions, 473 deletions
diff --git a/po/Makefile.in.in b/po/Makefile.in.in
deleted file mode 100644
index fabdc76..0000000
--- a/po/Makefile.in.in
+++ /dev/null
@@ -1,454 +0,0 @@
1# Makefile for PO directory in any package using GNU gettext.
2# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
3#
4# This file can be copied and used freely without restrictions. It can
5# be used in projects which are not available under the GNU General Public
6# License but which still want to provide support for the GNU gettext
7# functionality.
8# Please note that the actual code of GNU gettext is covered by the GNU
9# General Public License and is *not* in the public domain.
10#
11# Origin: gettext-0.18.3
12GETTEXT_MACRO_VERSION = 0.18
13
14PACKAGE = @PACKAGE@
15VERSION = @VERSION@
16PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
17
18SED = @SED@
19SHELL = /bin/sh
20@SET_MAKE@
21
22srcdir = @srcdir@
23top_srcdir = @top_srcdir@
24VPATH = @srcdir@
25
26prefix = @prefix@
27exec_prefix = @exec_prefix@
28datarootdir = @datarootdir@
29datadir = @datadir@
30localedir = @localedir@
31gettextsrcdir = $(datadir)/gettext/po
32
33INSTALL = @INSTALL@
34INSTALL_DATA = @INSTALL_DATA@
35
36# We use $(mkdir_p).
37# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
38# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
39# @install_sh@ does not start with $(SHELL), so we add it.
40# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
41# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
42# versions, $(mkinstalldirs) and $(install_sh) are unused.
43mkinstalldirs = $(SHELL) @install_sh@ -d
44install_sh = $(SHELL) @install_sh@
45MKDIR_P = @MKDIR_P@
46mkdir_p = @mkdir_p@
47
48GMSGFMT_ = @GMSGFMT@
49GMSGFMT_no = @GMSGFMT@
50GMSGFMT_yes = @GMSGFMT_015@
51GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
52MSGFMT_ = @MSGFMT@
53MSGFMT_no = @MSGFMT@
54MSGFMT_yes = @MSGFMT_015@
55MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
56XGETTEXT_ = @XGETTEXT@
57XGETTEXT_no = @XGETTEXT@
58XGETTEXT_yes = @XGETTEXT_015@
59XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
60MSGMERGE = msgmerge
61MSGMERGE_UPDATE = @MSGMERGE@ --update
62MSGINIT = msginit
63MSGCONV = msgconv
64MSGFILTER = msgfilter
65
66POFILES = @POFILES@
67GMOFILES = @GMOFILES@
68UPDATEPOFILES = @UPDATEPOFILES@
69DUMMYPOFILES = @DUMMYPOFILES@
70DISTFILES.common = Makefile.in.in remove-potcdate.sin \
71$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
72DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
73$(POFILES) $(GMOFILES) \
74$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
75
76POTFILES = \
77
78CATALOGS = @CATALOGS@
79
80# Makevars gets inserted here. (Don't remove this line!)
81
82.SUFFIXES:
83.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
84
85.po.mo:
86 @echo "$(MSGFMT) -c -o $@ $<"; \
87 $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
88
89.po.gmo:
90 @lang=`echo $* | sed -e 's,.*/,,'`; \
91 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
92 echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
93 cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
94
95.sin.sed:
96 sed -e '/^#/d' $< > t-$@
97 mv t-$@ $@
98
99
100all: all-@USE_NLS@
101
102all-yes: stamp-po
103all-no:
104
105# Ensure that the gettext macros and this Makefile.in.in are in sync.
106CHECK_MACRO_VERSION = \
107 test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
108 || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
109 exit 1; \
110 }
111
112# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
113# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
114# we don't want to bother translators with empty POT files). We assume that
115# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
116# In this case, stamp-po is a nop (i.e. a phony target).
117
118# stamp-po is a timestamp denoting the last time at which the CATALOGS have
119# been loosely updated. Its purpose is that when a developer or translator
120# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
121# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
122# invocations of "make" will do nothing. This timestamp would not be necessary
123# if updating the $(CATALOGS) would always touch them; however, the rule for
124# $(POFILES) has been designed to not touch files that don't need to be
125# changed.
126stamp-po: $(srcdir)/$(DOMAIN).pot
127 @$(CHECK_MACRO_VERSION)
128 test ! -f $(srcdir)/$(DOMAIN).pot || \
129 test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
130 @test ! -f $(srcdir)/$(DOMAIN).pot || { \
131 echo "touch stamp-po" && \
132 echo timestamp > stamp-poT && \
133 mv stamp-poT stamp-po; \
134 }
135
136# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
137# otherwise packages like GCC can not be built if only parts of the source
138# have been downloaded.
139
140# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
141# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
142# The determination of whether the package xyz is a GNU one is based on the
143# heuristic whether some file in the top level directory mentions "GNU xyz".
144# If GNU 'find' is available, we avoid grepping through monster files.
145$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
146 if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
147 LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f -size -10000000c -exec grep 'GNU @PACKAGE@' /dev/null '{}' ';' 2>/dev/null; \
148 else \
149 LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
150 fi; \
151 } | grep -v 'libtool:' >/dev/null; then \
152 package_gnu='GNU '; \
153 else \
154 package_gnu=''; \
155 fi; \
156 if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
157 msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
158 else \
159 msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
160 fi; \
161 case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
162 '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
163 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
164 --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
165 --files-from=$(srcdir)/POTFILES.in \
166 --copyright-holder='$(COPYRIGHT_HOLDER)' \
167 --msgid-bugs-address="$$msgid_bugs_address" \
168 ;; \
169 *) \
170 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
171 --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
172 --files-from=$(srcdir)/POTFILES.in \
173 --copyright-holder='$(COPYRIGHT_HOLDER)' \
174 --package-name="$${package_gnu}@PACKAGE@" \
175 --package-version='@VERSION@' \
176 --msgid-bugs-address="$$msgid_bugs_address" \
177 ;; \
178 esac
179 test ! -f $(DOMAIN).po || { \
180 if test -f $(srcdir)/$(DOMAIN).pot; then \
181 sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
182 sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
183 if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
184 rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
185 else \
186 rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
187 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
188 fi; \
189 else \
190 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
191 fi; \
192 }
193
194# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
195# every "make" invocation, only create it when it is missing.
196# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
197$(srcdir)/$(DOMAIN).pot:
198 $(MAKE) $(DOMAIN).pot-update
199
200# This target rebuilds a PO file if $(DOMAIN).pot has changed.
201# Note that a PO file is not touched if it doesn't need to be changed.
202$(POFILES): $(srcdir)/$(DOMAIN).pot
203 @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
204 if test -f "$(srcdir)/$${lang}.po"; then \
205 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
206 echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
207 cd $(srcdir) \
208 && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
209 '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
210 $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
211 *) \
212 $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
213 esac; \
214 }; \
215 else \
216 $(MAKE) $${lang}.po-create; \
217 fi
218
219
220install: install-exec install-data
221install-exec:
222install-data: install-data-@USE_NLS@
223 if test "$(PACKAGE)" = "gettext-tools"; then \
224 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
225 for file in $(DISTFILES.common) Makevars.template; do \
226 $(INSTALL_DATA) $(srcdir)/$$file \
227 $(DESTDIR)$(gettextsrcdir)/$$file; \
228 done; \
229 for file in Makevars; do \
230 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
231 done; \
232 else \
233 : ; \
234 fi
235install-data-no: all
236install-data-yes: all
237 @catalogs='$(CATALOGS)'; \
238 for cat in $$catalogs; do \
239 cat=`basename $$cat`; \
240 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
241 dir=$(localedir)/$$lang/LC_MESSAGES; \
242 $(mkdir_p) $(DESTDIR)$$dir; \
243 if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
244 $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
245 echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
246 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
247 if test -n "$$lc"; then \
248 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
249 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
250 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
251 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
252 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
253 for file in *; do \
254 if test -f $$file; then \
255 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
256 fi; \
257 done); \
258 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
259 else \
260 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
261 :; \
262 else \
263 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
264 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
265 fi; \
266 fi; \
267 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
268 ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
269 ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
270 cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
271 echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
272 fi; \
273 done; \
274 done
275
276install-strip: install
277
278installdirs: installdirs-exec installdirs-data
279installdirs-exec:
280installdirs-data: installdirs-data-@USE_NLS@
281 if test "$(PACKAGE)" = "gettext-tools"; then \
282 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
283 else \
284 : ; \
285 fi
286installdirs-data-no:
287installdirs-data-yes:
288 @catalogs='$(CATALOGS)'; \
289 for cat in $$catalogs; do \
290 cat=`basename $$cat`; \
291 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
292 dir=$(localedir)/$$lang/LC_MESSAGES; \
293 $(mkdir_p) $(DESTDIR)$$dir; \
294 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
295 if test -n "$$lc"; then \
296 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
297 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
298 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
299 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
300 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
301 for file in *; do \
302 if test -f $$file; then \
303 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
304 fi; \
305 done); \
306 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
307 else \
308 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
309 :; \
310 else \
311 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
312 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
313 fi; \
314 fi; \
315 fi; \
316 done; \
317 done
318
319# Define this as empty until I found a useful application.
320installcheck:
321
322uninstall: uninstall-exec uninstall-data
323uninstall-exec:
324uninstall-data: uninstall-data-@USE_NLS@
325 if test "$(PACKAGE)" = "gettext-tools"; then \
326 for file in $(DISTFILES.common) Makevars.template; do \
327 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
328 done; \
329 else \
330 : ; \
331 fi
332uninstall-data-no:
333uninstall-data-yes:
334 catalogs='$(CATALOGS)'; \
335 for cat in $$catalogs; do \
336 cat=`basename $$cat`; \
337 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
338 for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
339 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
340 done; \
341 done
342
343check: all
344
345info dvi ps pdf html tags TAGS ctags CTAGS ID:
346
347mostlyclean:
348 rm -f remove-potcdate.sed
349 rm -f stamp-poT
350 rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
351 rm -fr *.o
352
353clean: mostlyclean
354
355distclean: clean
356 rm -f Makefile Makefile.in POTFILES *.mo
357
358maintainer-clean: distclean
359 @echo "This command is intended for maintainers to use;"
360 @echo "it deletes files that may require special tools to rebuild."
361 rm -f stamp-po $(GMOFILES)
362
363distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
364dist distdir:
365 $(MAKE) update-po
366 @$(MAKE) dist2
367# This is a separate target because 'update-po' must be executed before.
368dist2: stamp-po $(DISTFILES)
369 dists="$(DISTFILES)"; \
370 if test "$(PACKAGE)" = "gettext-tools"; then \
371 dists="$$dists Makevars.template"; \
372 fi; \
373 if test -f $(srcdir)/$(DOMAIN).pot; then \
374 dists="$$dists $(DOMAIN).pot stamp-po"; \
375 fi; \
376 if test -f $(srcdir)/ChangeLog; then \
377 dists="$$dists ChangeLog"; \
378 fi; \
379 for i in 0 1 2 3 4 5 6 7 8 9; do \
380 if test -f $(srcdir)/ChangeLog.$$i; then \
381 dists="$$dists ChangeLog.$$i"; \
382 fi; \
383 done; \
384 if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
385 for file in $$dists; do \
386 if test -f $$file; then \
387 cp -p $$file $(distdir) || exit 1; \
388 else \
389 cp -p $(srcdir)/$$file $(distdir) || exit 1; \
390 fi; \
391 done
392
393update-po: Makefile
394 $(MAKE) $(DOMAIN).pot-update
395 test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
396 $(MAKE) update-gmo
397
398# General rule for creating PO files.
399
400.nop.po-create:
401 @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
402 echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
403 exit 1
404
405# General rule for updating PO files.
406
407.nop.po-update:
408 @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
409 if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
410 tmpdir=`pwd`; \
411 echo "$$lang:"; \
412 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
413 echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
414 cd $(srcdir); \
415 if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
416 '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
417 $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
418 *) \
419 $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
420 esac; \
421 }; then \
422 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
423 rm -f $$tmpdir/$$lang.new.po; \
424 else \
425 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
426 :; \
427 else \
428 echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
429 exit 1; \
430 fi; \
431 fi; \
432 else \
433 echo "msgmerge for $$lang.po failed!" 1>&2; \
434 rm -f $$tmpdir/$$lang.new.po; \
435 fi
436
437$(DUMMYPOFILES):
438
439update-gmo: Makefile $(GMOFILES)
440 @:
441
442# Recreate Makefile by invoking config.status. Explicitly invoke the shell,
443# because execution permission bits may not work on the current file system.
444# Use @SHELL@, which is the shell determined by autoconf for the use by its
445# scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
446Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
447 cd $(top_builddir) \
448 && @SHELL@ ./config.status $(subdir)/$@.in po-directories
449
450force:
451
452# Tell versions [3.59,3.63) of GNU make not to export all variables.
453# Otherwise a system limit (for SysV at least) may be exceeded.
454.NOEXPORT:
diff --git a/po/remove-potcdate.sin b/po/remove-potcdate.sin
deleted file mode 100644
index 2436c49..0000000
--- a/po/remove-potcdate.sin
+++ /dev/null
@@ -1,19 +0,0 @@
1# Sed script that remove the POT-Creation-Date line in the header entry
2# from a POT file.
3#
4# The distinction between the first and the following occurrences of the
5# pattern is achieved by looking at the hold space.
6/^"POT-Creation-Date: .*"$/{
7x
8# Test if the hold space is empty.
9s/P/P/
10ta
11# Yes it was empty. First occurrence. Remove the line.
12g
13d
14bb
15:a
16# The hold space was nonempty. Following occurrences. Do nothing.
17x
18:b
19}